import React, { Component } from "react";
import Timer from '../Timer/Timer';

import "./Code.scss";
export default class Code extends Component {
  constructor(props) {
    super(props);
    this.state = {
      resendStatus: false,
    };
  }

  componentDidMount() {
    this.inputRef1.focus();
  }

  onInput = (e) => {
    e.target.value = e.target.value
      .replace(/[\u0660-\u0669\u06f0-\u06f9]/g, function (c) {
        return c.charCodeAt(0) & 0xf;
      })
      .replace(/[^\d]/, "")
      .slice(-1);
  };

  changeValue = (e) => {
    if (e.target.value.match("^[0-9]{1}$")) {
      if (e.target.name === "o1") {
        this.setState({ o1: e.target.value });
        this.inputRef2.focus();
      } else if (e.target.name === "o2") {
        this.setState({ o2: e.target.value });
        this.inputRef3.focus();
      } else if (e.target.name === "o3") {
        this.setState({ o3: e.target.value });
        this.inputRef4.focus();
      } else if (e.target.name === "o4") {
        this.setState({ o4: e.target.value });
        const o4 = e.target.value;
        const { o1, o2, o3 } = this.state;
        this.props.parent.setState({ otp: `${o1}${o2}${o3}${o4}` });
        return;
      }
    } else {
      return;
    }
  };

  keyboardEvent = (e) => {
    if (e.keyCode === 8) {
      this.setState({
        [e.target.name]: "",
      });
      if (e.target.name === "o1") {
        return;
      } else if (e.target.name === "o2") {
        this.inputRef1.focus();
        return;
      } else if (e.target.name === "o3") {
        this.inputRef2.focus();
        return;
      } else if (e.target.name === "o4") {
        this.inputRef3.focus();
        return;
      }
    }
  };

  render() {
    return (
      <div className="auth-code d-flex">
        <label htmlFor="code1">
          <input
            id="code1"
            name="o1"
            type="text"
            inputMode="numeric"
            maxLength="2"
            ref={(input) => {
              this.inputRef1 = input;
            }}
            autoComplete="off"
            value={this.state.o1}
            onKeyDown={(e) => this.keyboardEvent(e)}
            onInput={this.onInput}
            onChange={(e) => this.changeValue(e)}
          />
        </label>
        <label htmlFor="code2">
          <input
            id="o2"
            name="o2"
            type="text"
            inputMode="numeric"
            maxLength="2"
            ref={(input) => {
              this.inputRef2 = input;
            }}
            autoComplete="off"
            value={this.state.o2}
            onKeyDown={(e) => this.keyboardEvent(e)}
            onInput={this.onInput}
            onChange={(e) => this.changeValue(e)}
          />
        </label>
        <label htmlFor="code3">
          <input
            id="code3"
            name="o3"
            type="text"
            inputMode="numeric"
            maxLength="2"
            ref={(input) => {
              this.inputRef3 = input;
            }}
            autoComplete="off"
            value={this.state.o3}
            onKeyDown={(e) => this.keyboardEvent(e)}
            onInput={this.onInput}
            onChange={(e) => this.changeValue(e)}
          />
        </label>
        <label htmlFor="code4">
          <input
            id="code4"
            name="o4"
            type="text"
            inputMode="numeric"
            maxLength="2"
            ref={(input) => {
              this.inputRef4 = input;
            }}
            autoComplete="off"
            value={this.state.o4}
            onKeyDown={(e) => this.keyboardEvent(e)}
            onInput={this.onInput}
            onChange={(e) => this.changeValue(e)}
          />
        </label>
        {
          !this.state.resendStatus ?
          <Timer seconds={10} parent={this} /> : 
          <div style={{color : '#88ff88'}} className="timer d-flex" onClick={() => this.setState({ resendStatus : false })}> 
            دریافت مجدد کد
          </div>
        }
        
      </div>
    );
  }
}
