import React, { Component } from "react";
import ChevronLeftIcon from "@material-ui/icons/ChevronLeft";
import { Link } from "react-router-dom";

import "./HomeScroll.scss";
export default class HomeScroll extends Component {
  render() {
    const { data, height, title } = this.props;
    return (
      <div
        className="home-scroll d-flex flex-column"
        style={{ height: height }}
      >
        <div className="home-scroll__header d-flex">
          <h1>{title}</h1>
          <div className="home-scroll__header--more d-flex">
            <span>موارد بیشتر</span>
            <ChevronLeftIcon
              style={{ width: 20, height: 20, color: "black", marginRight: 1 }}
            />
          </div>
        </div>
        <div className="home-scroll__list d-flex">
          {data.map((item, i) => (
            <Item data={item} key={i} />
          ))}
        </div>
      </div>
    );
  }
}

const Item = (props) => {
  return (
    <Link to={props.data.link} style={{
      minWidth: `${props.data.width}`,
      height: "100%",
    }}>
      <img
        src={props.data.image}
        alt="عکس"
        style={{
          width : '100%',
          height: '100%',
        }}
      />
    </Link>
  );
};
