import React, { Component } from "react";
import Carousel from "react-elastic-carousel";
import ChevronLeftIcon from "@material-ui/icons/ChevronLeft";
import { Link } from "react-router-dom";

import "./HomeSlider.scss";
export default class HomeSlider extends Component {
  render() {
    const { data, title, height } = this.props;
    return (
      <div
        className={
          title ? "home-slider d-flex flex-column" : "home-slider d-flex"
        }
      >
        {title ? (
          <div className="home-scroll__header d-flex">
            <h1>{title}</h1>
            <div className="home-scroll__header--more d-flex">
              <span>موارد بیشتر</span>
              <ChevronLeftIcon
                style={{
                  width: 20,
                  height: 20,
                  color: "black",
                  marginRight: 1,
                }}
              />
            </div>
          </div>
        ) : null}

        <Carousel
          itemsToShow={1}
          isRTL={true}
          enableTilt={true}
          showArrows={false}
        >
          {data.map((item, i) => (
            <Item height={height} data={item} key={i} />
          ))}
        </Carousel>
      </div>
    );
  }
}

const Item = (props) => {
  return (
    <Link
      to={props.data.link}
      style={{
        minWidth: `${props.data.width}`,
        height: props.height,
      }}
    >
      <img
        src={props.data.image}
        alt="عکس"
        style={{
          minWidth: `${props.data.width}`,
          height: props.height,
        }}
      />
    </Link>
  );
};
