import React, { Component } from "react";
import ChevronLeftIcon from "@material-ui/icons/ChevronLeft";
import { Link } from "react-router-dom";

import "./HomeStatic.scss";
export default class HomeStatic extends Component {
  render() {
    const { data, height, title } = this.props;
    return (
      <section
        className={
          title ? "home-static d-flex flex-column" : "home-static d-flex"
        }
      >
        {title ? (
          <div className="home-scroll__header d-flex">
            <h1>{title}</h1>
            <div className="home-scroll__header--more d-flex">
              <span>موارد بیشتر</span>
              <ChevronLeftIcon
                style={{
                  width: 20,
                  height: 20,
                  color: "black",
                  marginRight: 1,
                }}
              />
            </div>
          </div>
        ) : null}
        <div className="home-static__list d-flex">
          {data.map((item, i) => (
            <Item data={item} key={i} />
          ))}
        </div>
      </section>
    );
  }
}

const Item = (props) => {
  return (
    <Link
      to={props.data.link}
      style={{
        width: `${props.data.width}%`,
        height: `calc(100vw / props.data.width)`,
      }}
    >
      <img
        src={props.data.image}
        alt="عکس"
        style={{
          width: '100%',
          height: '100%',
        }}
      />
    </Link>
  );
};
