import React, { Component } from "react";
import moment from "jalali-moment";

import StatusAvatar from "./StatusAvatar/StatusAvatar";
import "./BoxItem.scss";
const BoxItem = (props) => {
  return (
    <>
      {props.parentList[props.parentList.length - 1] === props.data.pid ? (
        <div
          className="box-row d-flex flex-column"
          onClick={() => props.setParentList(props.data.id)}
        >
          <StatusAvatar src={props.data.image} status={props.data.status} />
          <h1>{props.data.title}</h1>
          <p>{props.data.subTitle}</p>
          <span className="box-row__date">
            {moment
              .from(props.data.date, "YYYY/MM/DD")
              .format("jYYYY/jMM/jDD")}
          </span>
        </div>
      ) : (
        <></>
      )}
    </>
  );
};

export default BoxItem;
