import React, { Component } from "react";
import FormControlLabel from "@material-ui/core/FormControlLabel";
import IOSSwitch from "./IOSSwitch/IOSSwitch";
import ChevronLeftIcon from "@material-ui/icons/ChevronLeft";
import Search from "./Search/Search";
import RowItem from "./RowItem/RowItem";
import BoxItem from "./BoxItem/BoxItem";

import pic from "../../assets/images/pic.png";

import "./List.scss";
export default class List extends Component {
  constructor(props) {
    super(props);
    this.state = {
      checkedB: false,
      parentList: [null],
      listData: [
        {
          id: 0,
          pid: null,
          image: pic,
          title: "سامسونگ",
          subTitle: "گوشیهای برند سامسونگ",
          text: "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.",
          date: new Date(),
          badge: "جدید",
          status: 0,
          link: "/samsung",
        },
        {
          id: 1,
          pid: null,
          image: null,
          title: "هواوی",
          subTitle: "گوشیهای برند هواوی",
          text: "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.",
          date: new Date(),
          badge: "",
          status: 1,
          link: "/huawei",
        },
        {
          id: 2,
          pid: 0,
          image: null,
          title: "A51",
          subTitle: "گوشیهای برند سامسونگ",
          text: "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.",
          date: new Date(),
          badge: "جدید",
          status: 0,
          link: "/samsung/A51",
        },
        {
          id: 3,
          pid: 0,
          image: null,
          title: "S21 ultra",
          subTitle: "گوشیهای برند سامسونگ",
          text: "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.",
          date: new Date(),
          badge: "",
          status: 0,
          link: "/samsung/s21ultra",
        },
        {
          id: 4,
          pid: 0,
          image: null,
          title: "m52",
          subTitle: "گوشیهای برند سامسونگ",
          text: "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.",
          date: new Date(),
          badge: "جدید",
          status: 1,
          link: "/samsung/m52",
        },
        {
          id: 5,
          pid: 1,
          image: null,
          title: "p40",
          subTitle: "گوشیهای برند هواوی",
          text: "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.",
          date: new Date(),
          badge: "جدید",
          status: 0,
          link: "/huawei/p40",
        },
        {
          id: 6,
          pid: 1,
          image: null,
          title: "هواوی",
          subTitle: "گوشیهای برند هواوی",
          text: "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.",
          date: new Date(),
          badge: "",
          status: 1,
          link: "/huawei/p40",
        },
      ],
    };
  }

  handleChange = (event) => {
    this.setState({ [event.target.name]: event.target.checked });
  };

  setParentList = (id) => {
    this.setState({
      parentList: [...this.state.parentList, id],
    });
  };

  popParentList = () => {
    if (this.state.parentList.length === 1) {
      window.location = "/";
    } else {
      let array = this.state.parentList;
      array.pop();
      this.setState({
        parentList: array,
      });
    }
  };

  render() {
    const { checkedB, listData, parentList } = this.state;

    return (
      <div className="list d-flex flex-column">
        <header className="list__header d-flex flex-column">
          <div className="list__header--top d-flex flex-row-reverse">
            <div onClick={() => this.popParentList()}>
              بازگشت
              <ChevronLeftIcon style={{ width: 25, height: 25 }} />
            </div>
            <FormControlLabel
              control={
                <IOSSwitch
                  checked={this.state.checkedB}
                  onChange={this.handleChange}
                  name="checkedB"
                />
              }
              // style={{ color: "grey" }}
              label={this.state.checkedB ? "Box" : "Normal"}
            />
          </div>
          <Search />
        </header>
        {!checkedB ? (
          <section className="list__body d-flex flex-column">
            {listData.map((item, i) => (
              <RowItem
                parentList={parentList}
                data={item}
                key={i}
                setParentList={this.setParentList}
              />
            ))}
          </section>
        ) : (
          <section className="list__body d-flex flex-wrap">
            {listData.map((item, i) => (
              <BoxItem
                parentList={parentList}
                data={item}
                key={i}
                setParentList={this.setParentList}
              />
            ))}
          </section>
        )}
      </div>
    );
  }
}
