import React, { Component } from "react";
import { Link } from "react-router-dom";
import moment from "jalali-moment";

import StatusAvatar from "./StatusAvatar/StatusAvatar";
import "./RowItem.scss";
const RowItem = (props) => {
  return (
    <>
      {props.parentList[props.parentList.length - 1] === props.data.pid ? (
        <div
          className="list-row d-flex"
          onClick={() => props.setParentList(props.data.id)}
        >
          <div className="list-row__right d-flex">
            <div className="list-row__right--image d-flex">
              <StatusAvatar src={props.data.image} status={props.data.status} />
            </div>
            <div className="list-row__right--text d-flex flex-column justify-content-center align-items-start mr-2">
              <h1>{props.data.title}</h1>
              <p>{props.data.subTitle}</p>
            </div>
          </div>
          <div className="list-row__left d-flex">
            <span>
              {moment
                .from(props.data.date, "YYYY/MM/DD")
                .format("jYYYY/jMM/jDD")}
            </span>
          </div>
        </div>
      ) : (
        <></>
      )}
    </>
  );
};

export default RowItem;
