import React, { Component } from "react";
import ExpandMoreIcon from "@material-ui/icons/ExpandMore";
import CallEndIcon from "@material-ui/icons/CallEnd";

import BottomControl from "../BottomControl/BottomControl";
import StatusAvatar from "../Avatar/Avatar";

import "./Calling.scss";
export default class Calling extends Component {
  constructor(props) {
    super(props);
    this.state = {};
  }
  render() {
    const { brand, user, phase } = this.props;
    return (
      <div className="video-calling d-flex flex-column align-items-center">
        <header className="video-calling__header d-flex">
          <h1 className="video-calling__header--logo">{brand}</h1>
          <div className="video-calling__header--expand d-flex">
            <ExpandMoreIcon style={{ width: 30, height: 30, color: "white" }} />
          </div>
        </header>
        <div className="video-calling__avatar d-flex">
          <StatusAvatar status={user.status} src={user.src} />
        </div>
        <h2>{user.name}</h2>
        <div className="video-calling__phase">{phase}</div>
        <button className="video-calling__endButton">
          <CallEndIcon style={{ width: 30, height: 30, color: "white" }} />
        </button>
        <BottomControl />
      </div>
    );
  }
}
