import React, { Component } from "react";

import Calling from "./Calling/Calling";
import CallStart from "./CallStart/CallStart";
import CallEnd from "./CallEnd/CallEnd";
import CallRecived from "./CallRecived/CallRecived";

import pic from "../../assets/images/pic.png";

import "./VideoCall.scss";
export default class VideoCall extends Component {
  constructor(props) {
    super(props);
    this.state = {
      phase: "Start",
    };
  }
  render() {
    const { phase } = this.state;
    return (
      <div className="video-call d-flex">
        {phase === "Calling" ? (
          <Calling
            brand={this.props.brand}
            user={this.props.user}
            phase={phase}
          />
        ) : null}
        {phase === "Start" ? (
          <CallStart
            brand={this.props.brand}
            user={this.props.user}
            phase={phase}
          />
        ) : null}
        {phase === "End" ? (
          <CallEnd
            brand={this.props.brand}
            user={this.props.user}
            phase={phase}
          />
        ) : null}
        { phase === "incoming video call" ? 
          <CallRecived
            brand={this.props.brand}
            user={this.props.user}
            phase={phase}
          />
         : null}
      </div>
    );
  }
}

VideoCall.defaultProps = {
  brand: "نام برند",
  user: {
    status: 0,
    src: pic,
    name: "حسن",
  },
};
